#!/bin/sh
#tableau.tcl
# \
exec wish "$0" ${1+"$@"}

#*************************************************************************
#  Copyright (C) 2002 Eric Seigne <erics@rycks.com>
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
#**************************************************************************
#  File  : $$$
#  Author  : davidlucardi@aol.com
#  Modifier: andre.connes@toulouse.iufm.fr
#  Date    : 24/04/2002 modification : 30/12/2002
#  Licence : GNU/GPL Version 2 ou plus
# 
#  Description:
#  ------------
# 
#  @version    
#  @author     David Lucardi
#  @modifier   Andre Connes
#  @project    Le terrier
#  @copyright  Eric Seigne 24/04/2002
# 
#  *************************************************************************

source tableaux.conf
set didacticiel [lindex $argv 0]
if { $tcl_platform(platform) == "unix" } {
  set user $tcl_platform(user)
} else {
  set user leterrier
}
source msg.tcl

# Dcommenter la ligne suivante si Img est installe
#package require Img

# quelques constantes
set bgcolor #ffffff
set wsize $WIDTH_SIZE
set hsize $HEIGHT_SIZE

########################### On cre la fentre principale###########################

# placement de la fentre en haut et  gauche de l'cran

. configure -bg $bgcolor
wm geometry . +0+0
wm title . $didacticiel

frame .frame -width $wsize -height $hsize -bg $bgcolor
pack .frame -side top -fill both -expand yes


##############################################
####
# init_difficulte_max
####
proc init_difficulte_max {} {
  global tcl_platform c didacticiel DIDACTIELS difficulte_max

  #lecture du parcours de l'lve suivant l'OS
  if {$tcl_platform(platform) =="unix" } {
    source tableaux.conf
    set user $tcl_platform(user)
    set lt_array($didacticiel) "-1 -1 -1 -1 -1" ;# sentinelle
    #si le fichier utilisateur n'existe pas, le crer !
    if { ![file exists $TRACEDIRX] } {
      file mkdir $TRACEDIRX
    }
    if { ![file exists $TRACEDIRX/$user.level] } {
      set f [open [file join $TRACEDIRX $user.level] "w"]
      foreach  local_didacticiel $DIDACTICIELS {
        puts $f "$local_didacticiel -1 -1 -1 -1 -1"
      }
      close $f
    }
    #lire le fichier utilisateur
    set f [open [file join $TRACEDIRX $user.level] "r"]
    while { ! [eof $f] } {
      set line [gets $f]
      set lt_array([lindex $line 0]) [lrange $line 1 end] 
    }
    close $f
    #traiter le didacticiel
    for {set i 0} {$i <= 4} {incr i 1} {
      set parcours($i) [lindex $lt_array($didacticiel) $i]
    }
  } else {
    #l'OS n'est pas Unix/GNULinux : le maximum !
    for {set i 0} {$i <= 4} {incr i 1} {
      set parcours($i) 4
    }
  }

  #autoriser/interdire
  for { set i 0 } { $i < 4 } { incr i } {
    set ktmp [expr $parcours($i) + 1]
    if { $ktmp < 4 } {
      set difficulte_max($i) $ktmp
    } else {
      set difficulte_max($i) 4
    }
  }
  if { [expr $parcours(2)+$parcours(3) ] < 4 } {
    set difficulte_max(4) -1
  } else {
    set difficulte_max(4) 4
  }
}


########################On cre un canvas###########################################

set c .frame.c
canvas $c -width $wsize -height $hsize -bg $bgcolor -highlightbackground $bgcolor
pack $c -expand true

init_difficulte_max

for { set i 0 } { $i <= 4 } { incr i } {
  button $c.menu${i} -image [image create photo -file [file join sysdata menu${i}.gif]] \
    -command "init_difficulte_max; exec wish tableau$i.tcl $didacticiel $difficulte_max($i)"
  label $c.lab_menu${i} -text [mc sub_menu${i}]
  grid $c.menu${i} -column 0 -row $i -sticky e
  grid $c.lab_menu${i} -column 1 -row $i -sticky e
}

if { $difficulte_max(4) < 4 } {
  $c.menu4 configure -state disabled
} else {
  $c.menu4 configure -state normal
}
  
