#!/bin/sh
#tableaux.tcl
# \
exec wish "$0" ${1+"$@"}

#*************************************************************************
#  Copyright (C) 2002 Eric Seigne <erics@rycks.com>
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
#**************************************************************************
#  File  : $$$
#  Author  : andre.connes@toulouse.iufm.fr
#  Modifier: andre.connes@toulouse.iufm.fr
#  Date    : 14/08/2002 modification : 30/12/2002
#  Licence : GNU/GPL Version 2 ou plus
# 
#  Description:
#  ------------
# 
#  @version    
#  @author     Andre Connes
#  @modifier   
#  @project    Le terrier
#  @copyright  Eric Seigne 24/04/2002
# 
#  *************************************************************************

source tableaux.conf

set didacticiel ""
set forms ""
source msg.tcl

# Dcommenter la ligne suivante si Img est installe
#package require Img

# quelques constantes
set bgcolor #ffff80
set wsize $WIDTH_SIZE
set hsize $HEIGHT_SIZE

########################### On cre la fentre principale###########################

# placement de la fentre en haut et  gauche de l'cran

. configure -bg $bgcolor
wm geometry . +0+0
wm title . [mc {title_m}]

frame .frame -width $wsize -height $hsize -bg $bgcolor
pack .frame -side top -fill both -expand yes

label .frame.lab_menu -text [mc {make_choice}] -relief sunken
pack .frame.lab_menu -side top -fill x


########################On cre un canvas###########################################

set c .frame.c
canvas $c -width $wsize -height $hsize -bg $bgcolor -highlightbackground $bgcolor
pack $c -expand true 
set nl 0
set nc 0
foreach didacticiel $DIDACTICIELS {
  button $c.$didacticiel -image [image create photo -file [file join $didacticiel ${didacticiel}_logo.gif]] \
      -command "exec wish tableau.tcl $didacticiel"
  grid $c.$didacticiel -column $nc -row $nl -sticky e
  # dterminer ligne/colonne du bouton suivant
  if { $nl > 3 } {
    incr nc
    set nl 0
  } else {
    incr nl
  }

}

# clic droit pour le bilan
bind . <3> "exec wish bilan.tcl"
